package cd.casic.module.machine.contants;

import cd.casic.framework.commons.exception.ErrorCode;

/**
 * 机器报错
 */
public interface MachineErrorCodeConstants {
    // ========== 机器基础信息模块 1-003-000-000 ==========
    ErrorCode MACHINE_INFO_NULL = new ErrorCode(1_003_000_000, "机器信息为空");
    ErrorCode MACHINE_INFO_HOST_IP_NULL = new ErrorCode(1_003_000_001, "机器主机IP为空");
    ErrorCode MACHINE_INFO_USER_NAME_NULL = new ErrorCode(1_003_000_002, "机器用户名为空");
    ErrorCode MACHINE_INFO_TYPE_NULL = new ErrorCode(1_003_000_003, "机器类型为空");
    ErrorCode MACHINE_INFO_TYPE_NOT_EXISTS = new ErrorCode(1_003_000_004, "机器类型不存在");
    ErrorCode MACHINE_INFO_TAG_NULL = new ErrorCode(1_003_000_005, "机器唯一标识为空");
    ErrorCode MACHINE_INFO_TAG_EXISTS = new ErrorCode(1_003_000_006, "机器唯一标识已存在");
    ErrorCode MACHINE_INFO_AUTHENTICATION_TYPE_NULL = new ErrorCode(1_003_000_007, "机器认证类型为空");
    ErrorCode MACHINE_INFO_AUTHENTICATION_TYPE_NOT_EXISTS = new ErrorCode(1_003_000_008, "机器认证类型不存在");
    ErrorCode MACHINE_ENABLE = new ErrorCode(1_003_000_009, "机器启用中");
    ErrorCode MACHINE_UN_ENABLE = new ErrorCode(1_003_000_010, "机器不可用");

    // ========== 文件操作模块 1-003-001-000 ==========
    ErrorCode UPLOADING_FILE_FAIL = new ErrorCode(1_003_001_000, "上传文件失败");
    ErrorCode DOWNLOAD_FILE_FAIL = new ErrorCode(1_003_001_001, "下载失败");
    ErrorCode FILENAME_NULL = new ErrorCode(1_003_001_002, "文件名为空");
    ErrorCode READ_FILE_FAIL = new ErrorCode(1_003_001_003, "读取文件失败");
    ErrorCode DELETE_FILE_FAIL = new ErrorCode(1_003_001_004, "删除文件失败");

    // ========== 机器环境变量模块 1-003-002-000 ==========
    ErrorCode MACHINE_ENV_NULL = new ErrorCode(1_003_002_000, "机器环境变量为空");
    ErrorCode MACHINE_ENV_NOT_EXISTS = new ErrorCode(1_003_002_001, "机器不存在");
    ErrorCode MACHINE_ENV_KEY_ILLEGAL = new ErrorCode(1_003_002_002, "机器环境变量键不合法");

    // ========== 机器代理模块 1-003-003-000 ==========
    ErrorCode MACHINE_PROXY_HOST_IP_NULL = new ErrorCode(1_003_003_000, "机器代理主机地址为空");
    ErrorCode MACHINE_PROXY_USER_NAME_NULL = new ErrorCode(1_003_003_001, "机器代理用户名为空");
    ErrorCode MACHINE_PROXY_NOT_EXISTS = new ErrorCode(1_003_003_002, "机器代理不存在");
    ErrorCode MACHINE_PROXY_TYPE_NOT_EXISTS = new ErrorCode(1_003_003_003, "机器代理类型不存在");
    ErrorCode MACHINE_PROXY_IS_ONLINE = new ErrorCode(1_003_003_004, "机器代理在线，不能删除");

    // ========== 密钥模块 1-003-004-000 ==========
    ErrorCode SECRET_KEY_NULL = new ErrorCode(1_003_004_000, "密钥为空");
    ErrorCode SECRET_KEY_NOT_EXISTS = new ErrorCode(1_003_004_001, "密钥不存在");
    ErrorCode SECRET_KEY_NAME_ILLEGAL = new ErrorCode(1_003_004_002, "密钥名称不合法");
    ErrorCode SECRET_KEY_PATH_ILLEGAL = new ErrorCode(1_003_004_003, "密钥路径不合法");
    ErrorCode SECRET_KEY_PATH_NULL = new ErrorCode(1_003_004_004, "密钥路径为空");
    ErrorCode SECRET_KEY_UPLOAD_FAIL = new ErrorCode(1_003_004_005, "密钥上传失败");

    // ========== 其他模块 1-003-005-000 ==========
    ErrorCode OSS_PARAM_NULL = new ErrorCode(1_003_005_000, "oss参数无法读取");
    ErrorCode SECRETKEY_NULL = new ErrorCode(1_003_005_001, "密钥为空");
    ErrorCode PARAMETER_ERROR = new ErrorCode(1_003_005_002, "参数错误");
}
